<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.ss.formula.functions (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.ss.formula.functions (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.ss.formula.functions" class="title">Uses of Package<br>org.apache.poi.ss.formula.functions
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.atp">org.apache.poi.ss.formula.atp</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.functions">org.apache.poi.ss.formula.functions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.udf">org.apache.poi.ss.formula.udf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/FreeRefFunction.html#org.apache.poi.ss.formula">FreeRefFunction</a>
                        <div class="block">For most Excel functions, involving references ((cell, area), (2d, 3d)), the
                            references are
                            passed in as arguments, and the exact location remains fixed.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function.html#org.apache.poi.ss.formula">Function</a>
                        <div class="block">Common interface for all implementations of Excel built-in functions.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.atp">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/atp/package-summary.html">org.apache.poi.ss.formula.atp</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/FreeRefFunction.html#org.apache.poi.ss.formula.atp">FreeRefFunction</a>
                        <div class="block">For most Excel functions, involving references ((cell, area), (2d, 3d)), the
                            references are
                            passed in as arguments, and the exact location remains fixed.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.eval">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/ArrayFunction.html#org.apache.poi.ss.formula.eval">ArrayFunction</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Fixed1ArgFunction.html#org.apache.poi.ss.formula.eval">Fixed1ArgFunction</a>
                        <div class="block">Convenience base class for functions that must take exactly one argument.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Fixed2ArgFunction.html#org.apache.poi.ss.formula.eval">Fixed2ArgFunction</a>
                        <div class="block">Convenience base class for functions that must take exactly two arguments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function.html#org.apache.poi.ss.formula.eval">Function</a>
                        <div class="block">Common interface for all implementations of Excel built-in functions.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function1Arg.html#org.apache.poi.ss.formula.eval">Function1Arg</a>
                        <div class="block">Implemented by all functions that can be called with one argument</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function2Arg.html#org.apache.poi.ss.formula.eval">Function2Arg</a>
                        <div class="block">Implemented by all functions that can be called with two arguments</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.functions">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/ArrayMode.html#org.apache.poi.ss.formula.functions">ArrayMode</a>
                        <div class="block">Interface for those functions that evaluate arguments in array mode depending
                            on context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Count.html#org.apache.poi.ss.formula.functions">Count</a>
                        <div class="block">Counts the number of cells that contain numeric data within
                            the list of arguments.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Counta.html#org.apache.poi.ss.formula.functions">Counta</a>
                        <div class="block">Counts the number of cells that contain data within the list of arguments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/DStarRunner.DStarAlgorithmEnum.html#org.apache.poi.ss.formula.functions">DStarRunner.DStarAlgorithmEnum</a>
                        <div class="block">Enum for convenience to identify and source implementations of the D*
                            functions
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Fixed0ArgFunction.html#org.apache.poi.ss.formula.functions">Fixed0ArgFunction</a>
                        <div class="block">Convenience base class for functions that only take zero arguments.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Fixed1ArgFunction.html#org.apache.poi.ss.formula.functions">Fixed1ArgFunction</a>
                        <div class="block">Convenience base class for functions that must take exactly one argument.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Fixed2ArgFunction.html#org.apache.poi.ss.formula.functions">Fixed2ArgFunction</a>
                        <div class="block">Convenience base class for functions that must take exactly two arguments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Fixed3ArgFunction.html#org.apache.poi.ss.formula.functions">Fixed3ArgFunction</a>
                        <div class="block">Convenience base class for functions that must take exactly three
                            arguments.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Fixed4ArgFunction.html#org.apache.poi.ss.formula.functions">Fixed4ArgFunction</a>
                        <div class="block">Convenience base class for functions that must take exactly four arguments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/FreeRefFunction.html#org.apache.poi.ss.formula.functions">FreeRefFunction</a>
                        <div class="block">For most Excel functions, involving references ((cell, area), (2d, 3d)), the
                            references are
                            passed in as arguments, and the exact location remains fixed.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function.html#org.apache.poi.ss.formula.functions">Function</a>
                        <div class="block">Common interface for all implementations of Excel built-in functions.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function0Arg.html#org.apache.poi.ss.formula.functions">Function0Arg</a>
                        <div class="block">Implemented by all functions that can be called with zero arguments</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function1Arg.html#org.apache.poi.ss.formula.functions">Function1Arg</a>
                        <div class="block">Implemented by all functions that can be called with one argument</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function2Arg.html#org.apache.poi.ss.formula.functions">Function2Arg</a>
                        <div class="block">Implemented by all functions that can be called with two arguments</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function3Arg.html#org.apache.poi.ss.formula.functions">Function3Arg</a>
                        <div class="block">Implemented by all functions that can be called with three arguments</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/Function4Arg.html#org.apache.poi.ss.formula.functions">Function4Arg</a>
                        <div class="block">Implemented by all functions that can be called with four arguments</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/IDStarAlgorithm.html#org.apache.poi.ss.formula.functions">IDStarAlgorithm</a>
                        <div class="block">Interface specifying how an algorithm to be used by <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/DStarRunner.html"
                                title="class in org.apache.poi.ss.formula.functions"><code>DStarRunner</code></a> should
                            look like.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/LinearRegressionFunction.FUNCTION.html#org.apache.poi.ss.formula.functions">LinearRegressionFunction.FUNCTION</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/MultiOperandNumericFunction.html#org.apache.poi.ss.formula.functions">MultiOperandNumericFunction</a>
                        <div class="block">This is the super class for all excel function evaluator
                            classes that take variable number of operands, and
                            where the order of operands does not matter
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/NumericFunction.html#org.apache.poi.ss.formula.functions">NumericFunction</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/NumericFunction.OneArg.html#org.apache.poi.ss.formula.functions">NumericFunction.OneArg</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/XYNumericFunction.html#org.apache.poi.ss.formula.functions">XYNumericFunction</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/XYNumericFunction.Accumulator.html#org.apache.poi.ss.formula.functions">XYNumericFunction.Accumulator</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.udf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/udf/package-summary.html">org.apache.poi.ss.formula.udf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/class-use/FreeRefFunction.html#org.apache.poi.ss.formula.udf">FreeRefFunction</a>
                        <div class="block">For most Excel functions, involving references ((cell, area), (2d, 3d)), the
                            references are
                            passed in as arguments, and the exact location remains fixed.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
